Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.jsp.taglib
Class ImportAttributeTag

    java.lang.Object
      javax.servlet.jsp.tagext.SimpleTagSupport
          org.apache.tiles.jsp.taglib.ImportAttributeTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

    public class ImportAttributeTag

extends javax.servlet.jsp.tagext.SimpleTagSupport

Import attribute(s) into the specified scope. If not explicitly named, all attributes are imported. If the scope is not specified, page scope is assumed.

Since:
  Tiles 1.0
Version:
  $Rev: 783101 $ $Date: 2009-06-09 21:27:26 +0200 (mar, 09 giu 2009) $

Constructor Summary
`ImportAttributeTag()`

Method Summary
`void` | `doTag()`
`java.lang.String` | `getName()` Get the name.
`java.lang.String` | `getScope()` Get scope.
`java.lang.String` | `getToName()` Returns the name of the destination attribute.
`boolean` | `isIgnore()` Get ignore flag.
`void` | `setIgnore(boolean ignore)` Set ignore flag.
`void` | `setName(java.lang.String name)` Set the name.
`void` | `setScope(java.lang.String scope)` Set the scope.
`void` | `setToName(java.lang.String toName)` Sets the name of the destination attribute.

Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport
`findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportAttributeTag

    public ImportAttributeTag()

Method Detail

### setScope

    public void setScope(java.lang.String scope)

  Set the scope.

  Parameters:
    `scope` - Scope.

### getScope

    public java.lang.String getScope()

  Get scope.

  Returns:
    Scope.

### getName

    public java.lang.String getName()

  Get the name.

  Returns:
    Name.

### setName

    public void setName(java.lang.String name)

  Set the name.

  Parameters:
    `name` - The new name

### setIgnore

    public void setIgnore(boolean ignore)

  Set ignore flag.

  Parameters:
    `ignore` - default: `false`: Exception is thrown when attribute is not found, set to `true` to ignore missing attributes silently

### isIgnore

    public boolean isIgnore()

  Get ignore flag.

  Returns:
    default: `false`: Exception is thrown when attribute is not found, set to `true` to ignore missing attributes silently

### getToName

    public java.lang.String getToName()

  Returns the name of the destination attribute. If not specified, the name will be the same as specified in `name` attribute

  Returns:
    The destination attribute name.

### setToName

    public void setToName(java.lang.String toName)

  Sets the name of the destination attribute. If not specified, the name will be the same as specified in `name` attribute

  Parameters:
    `toName` - The destination attribute name.

### doTag

    public void doTag()
               throws javax.servlet.jsp.JspException

  Specified by:
    `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
  Overrides:
    `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.